cilk-tbb-interop.h File Reference

Go to the source code of this file.

## Classes

struct | __cilk_tbb_stack_op_thunk
struct | __cilk_tbb_unwatch_thunk

## Macros

#define | CILK_EXPORT /* nothing */

## Typedefs

typedef int | __cilk_tbb_retcode
typedef __cilk_tbb_retcode(* | __cilk_tbb_pfn_stack_op) (enum __cilk_tbb_stack_op, void *data)
typedef __cilk_tbb_retcode(* | __cilk_tbb_pfn_unwatch_stacks) (void *data)

## Enumerations

enum | __cilk_tbb_stack_op { CILK_TBB_STACK_ORPHAN , CILK_TBB_STACK_ADOPT , CILK_TBB_STACK_RELEASE }

## Functions

CILK_EXPORT __cilk_tbb_retcode | __cilkrts_watch_stack (struct __cilk_tbb_unwatch_thunk *u, struct __cilk_tbb_stack_op_thunk o)

## Macro Definition Documentation

## CILK_EXPORT

#define CILK_EXPORT /* nothing */

Definition at line 27 of file cilk-tbb-interop.h.

## Typedef Documentation

## __cilk_tbb_pfn_stack_op

typedef __cilk_tbb_retcode(* __cilk_tbb_pfn_stack_op) (enum __cilk_tbb_stack_op, void *data)

Definition at line 50 of file cilk-tbb-interop.h.

## __cilk_tbb_pfn_unwatch_stacks

typedef __cilk_tbb_retcode(* __cilk_tbb_pfn_unwatch_stacks) (void *data)

Definition at line 52 of file cilk-tbb-interop.h.

## __cilk_tbb_retcode

typedef int __cilk_tbb_retcode

Definition at line 42 of file cilk-tbb-interop.h.

## Enumeration Type Documentation

## __cilk_tbb_stack_op

enum __cilk_tbb_stack_op

Enumerator
CILK_TBB_STACK_ORPHAN |
CILK_TBB_STACK_ADOPT |
CILK_TBB_STACK_RELEASE |

Definition at line 44 of file cilk-tbb-interop.h.

{
CILK_TBB_STACK_ORPHAN, // disconnecting stack from a thread
CILK_TBB_STACK_ADOPT, // reconnecting orphaned stack to a trhead
CILK_TBB_STACK_RELEASE // releasing stack
};
CILK_TBB_STACK_RELEASE
@ CILK_TBB_STACK_RELEASE
Definition: cilk-tbb-interop.h:47
CILK_TBB_STACK_ADOPT
@ CILK_TBB_STACK_ADOPT
Definition: cilk-tbb-interop.h:46
CILK_TBB_STACK_ORPHAN
@ CILK_TBB_STACK_ORPHAN
Definition: cilk-tbb-interop.h:45

## Function Documentation

## __cilkrts_watch_stack()

CILK_EXPORT __cilk_tbb_retcode __cilkrts_watch_stack | ( | struct __cilk_tbb_unwatch_thunk * | u,
|  | struct __cilk_tbb_stack_op_thunk | o
| ) |  |

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.